#include "clm_gpu.h"

#include <stdio.h>

struct clm_NativeBuf {};

int clm_gpuInit() {
	return 0;
}

void clm_gpuDestroy() {}

void clm_linearForward(clm_Linear *linear, unsigned int batchSize, clm_Matrix *inputs, clm_Matrix *outputs) {
	for(unsigned int b = 0; b < batchSize; b++) {
		clm_matrixMultiplyMatrix(linear->weights, inputs[b], outputs[b]);

		if(clm_matrixIsInvalid(outputs[b])) {
			printf("Forward pass failed\n");
			return;
		}

		clm_matrixAddMatrix(outputs[b], linear->bias);
		clm_matrixSigmoid(outputs[b]);
	}
}
